# Watts Nearby: Electric Car Charge Map

## Version
__1.04__


## Description
Need electrons to run you car? This Android app will locate which charging station you should use when and where you need one.
A lot of the current apps with electric vehicle charging maps rely on slow web based map backends, and many of them lack a collection of all the suppliers of free and non-free charging stations for electric vehicles. 

This is an easy to use app that utilize the growing open charge map api to find charging stations nearby and display them using Google Maps.

Powered by open charge map. http://openchargemap.org. 

## Intended User
For everyone driving an electric car. Ranging from the EV-enthusiast to the first-time fully electric traveller.

## Main Features
* Displays markers for nearby charging stations in a map.
 * Marker icon difference between free and non-free charging stations
 * Marker icon difference between DC charging stations (fast) and slower ones
* Google Map location search to plan your trip.
* Synchronizes nearby charging station data to a local database.
* Saves user preferences:
 * Supported power outlets for the most popular EVs
 * Only display fast chargers (default on)
* Possibility to explore details for each charging station. Makes it easier to find the exact location of a charging station, see the capacity of the selected charging station and more.
* Your favorite charging stations available in a built in widget.

## Screenshots
<img width='40%' vspace='20' hspace='20' src='https://cloud.githubusercontent.com/assets/20125465/26267512/e089fa4e-3cea-11e7-8721-137df9f6a096.png'> <img width='40%' vspace='20' hspace='20' src ='https://cloud.githubusercontent.com/assets/20125465/26267519/e0a4a984-3cea-11e7-9854-d2ff9ead8e28.png'/>

<img width='40%' vspace='20' hspace='20' src='https://cloud.githubusercontent.com/assets/20125465/26267518/e0a35c0a-3cea-11e7-9f3f-b257bdb8dcf6.png'> <img width='40%' vspace='20' hspace='20' src ='https://cloud.githubusercontent.com/assets/20125465/26267514/e08db40e-3cea-11e7-9cf4-74742e92aeec.png'/>

<img width='40%' vspace='20' hspace='20' src='https://cloud.githubusercontent.com/assets/20125465/26267511/e08975ce-3cea-11e7-9851-46e207d4e928.png'> <img width='40%' vspace='20' hspace='20' src ='https://cloud.githubusercontent.com/assets/20125465/26267510/e088baee-3cea-11e7-89a1-d9c1431d5308.png'/>

<img width='40%' vspace='20' hspace='20' src='https://cloud.githubusercontent.com/assets/20125465/26267517/e0a20f76-3cea-11e7-9a60-70163478e35e.png'> <img width='40%' vspace='20' hspace='20' src ='https://cloud.githubusercontent.com/assets/20125465/26267515/e08fe170-3cea-11e7-9060-7eb7fae72ae1.png'/>

<img width='40%' vspace='20' hspace='20' src='https://cloud.githubusercontent.com/assets/20125465/26267513/e08a55de-3cea-11e7-9d62-b1f109558328.png'/>

## License

Copyright 2017 sourcecodere

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
